Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.support
Class DefaultSoapUIActionGroup<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup<T>
          com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup<T>

All Implemented Interfaces:
  SoapUIActionGroup<T>

Direct Known Subclasses:
  WorkspaceImplSoapUIActionGroup, WsdlInterfaceSoapUIActionGroup, WsdlMessageAssertionSoapUIActionGroup, WsdlTestCaseAddStepSoapUIActionGroup, WsdlTestStepInsertStepSoapUIActionGroup, WsdlTestStepSoapUIActionGroup

    public class DefaultSoapUIActionGroup<T extends ModelItem>

extends AbstractSoapUIActionGroup<T>

Default SoapUIActionGroup implementation

Author:
  ole.matzura

Field Summary

Fields inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`id, name`

Constructor Summary
`DefaultSoapUIActionGroup(java.lang.String id, java.lang.String name)`

Method Summary
`SoapUIActionMapping<T>` | `addMapping(java.lang.String id, int index, SoapUIActionMapping<T> mapping)`
`SoapUIActionMapping<T>` | `addMapping(java.lang.String id, SoapUIActionMapping<T> mapping)`
`SoapUIActionMappingList<T>` | `getActionMappings(T modelItem)`
`int` | `getMappingIndex(java.lang.String positionRef)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`getId, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSoapUIActionGroup

    public DefaultSoapUIActionGroup(java.lang.String id,
                                    java.lang.String name)

Method Detail

### getActionMappings

    public SoapUIActionMappingList<T> getActionMappings(T modelItem)

### addMapping

    public SoapUIActionMapping<T> addMapping(java.lang.String id,
                                             int index,
                                             SoapUIActionMapping<T> mapping)

  Specified by:
    `addMapping` in interface `SoapUIActionGroup<T extends ModelItem>`
  Overrides:
    `addMapping` in class `AbstractSoapUIActionGroup<T extends ModelItem>`

### addMapping

    public SoapUIActionMapping<T> addMapping(java.lang.String id,
                                             SoapUIActionMapping<T> mapping)

  Specified by:
    `addMapping` in interface `SoapUIActionGroup<T extends ModelItem>`
  Overrides:
    `addMapping` in class `AbstractSoapUIActionGroup<T extends ModelItem>`

### getMappingIndex

    public int getMappingIndex(java.lang.String positionRef)

  Specified by:
    `getMappingIndex` in interface `SoapUIActionGroup<T extends ModelItem>`
  Overrides:
    `getMappingIndex` in class `AbstractSoapUIActionGroup<T extends ModelItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.